/*Project: Nokia 5110 LCD screen
  Function: Displays your logo and text with some graphics
  Wiring:
      SCK (CLK) - Pin 3
      DIN(MOSI) - Pin 4
      DC   - Pin 5
      RST  - Pin 6
      CS (CE) - Pin 7
*/
//*****************************************************
#include <LCD5110_Graph.h>
//*****************************************************
LCD5110 myGLCD(3, 4, 5, 6, 7);
extern uint8_t SmallFont[];
extern uint8_t acoptex_logo[];//logo HEX code is in file graphics.c - open it with wordpad or notepad to edit
extern unsigned char TinyFont[];
float y;
uint8_t* bm;
int pacy;
//*****************************************************
void setup()
{
  myGLCD.InitLCD();
  myGLCD.setFont(SmallFont);
  randomSeed(analogRead(7));
}

void loop()
{
 
  myGLCD.clrScr();
  myGLCD.drawBitmap(0, 0, acoptex_logo, 84, 48);
  myGLCD.update();

  delay(2000);

  myGLCD.clrScr();
  myGLCD.print("Welcome to", CENTER, 0);
  myGLCD.print("ACOPTEX", CENTER, 15);
  myGLCD.drawRect(20, 8, 63, 28);
  for (int i = 0; i < 6; i++)
  {
    myGLCD.drawLine(3 + (i * 3), 18 - (i * 2), 20, 18 - (i * 2));
    myGLCD.drawLine(3 + (i * 3), 18 + (i * 2), 20, 18 + (i * 2));
    myGLCD.drawLine(64, 18 + (i * 2), 81 - (i * 3), 18 + (i * 2));
    myGLCD.drawLine(64, 18 - (i * 2), 81 - (i * 3), 18 - (i * 2));

  }
  myGLCD.setFont(TinyFont);
  myGLCD.print("(C)2017 by", CENTER, 36);
  myGLCD.print("Acoptex.com", CENTER, 42);
  myGLCD.update();

  delay(5000);

}


